#include "common.h"

extern char *appname;

void
usage (void)
{
  fprintf (stderr, "usage: %s [filename]\n", appname);
  exit (1);
}

void
error (char *filename, char *msg)
{
  fprintf (stderr, "%s: %s: %s\n", appname, filename, msg);
}

int
check_text (char *filename)
{
  FILE *fp;
  char buffer[BUFSIZ];

  /* check whether file is dos-text or unix-text */
  if ((fp = fopen (filename, "r")) == NULL)
    {
      error (filename, strerror (errno));
      exit (1);
    }

  fgets (buffer, BUFSIZ, fp);
  fclose (fp);

  if (buffer[strlen (buffer) - 2] == '\r')
    return DOSTEXT;
  else
    return UNIXTEXT;
}
