#include "common.h"

const char *appname = "u2d";

void
main (int argc, char **argv)
{
  int n;
  FILE *fpin, *fpout;
  char input_filename[BUFSIZ], output_filename[BUFSIZ];
  char buffer[BUFSIZ], buffer2[BUFSIZ];

  if (argc < 2)
    {
      usage ();
      exit (1);
    }

  /* multiple argument */
  for (n = 1; n < argc; n++)
    {
      if (check_text (argv[n]) != UNIXTEXT)
	{
	  fprintf (stderr, "%s: %s: is not a unix text\n", appname, argv[n]);
	  continue;
	}

      strcpy (output_filename, argv[n]);	/* filename to write */
      strcpy (input_filename, argv[n]);

      if ((fpin = fopen (input_filename, "r")) == NULL)
	{
	  error (input_filename, strerror (errno));
	  continue;
	}

      strcat (input_filename, "~");	/* filename to backup */

      rename (output_filename, input_filename);

      if ((fpout = fopen (output_filename, "w")) == NULL)
	{
	  error (output_filename, strerror (errno));
	  continue;
	}

      while (fgets (buffer, BUFSIZ, fpin) != NULL)
	{
	  bzero (buffer2, BUFSIZ);
	  strncpy (buffer2, buffer, strlen (buffer) - 1);
	  fputs (buffer2, fpout);
	  fputs ("\r\n", fpout);
	}

      fclose (fpout);
      fclose (fpin);
    }

  exit (0);
}
